{{page-title this.pageTitle}}

<div class="background-banner-wrapper challenge">

  <div class="challenge__banner">
    <AssessmentBanner @title={{@model.title}} @displayHomeLink={{this.displayHomeLink}} />
  </div>

  <div class="checkpoint__container rounded-panel--over-background-banner">
    <div class="checkpoint__header">
      {{#if this.shouldDisplayAnswers}}
        <div class="checkpoint-progression-gauge-wrapper">
          <PixProgressGauge
            @value={{this.completionPercentage}}
            @isArrowLeft="true"
            @color="white"
            @subtitle={{t "pages.checkpoint.completion-percentage.caption"}}
            @tooltipText={{t
              "pages.checkpoint.completion-percentage.label"
              completionPercentage=this.completionPercentage
              htmlSafe=true
            }}
          />

        </div>
        <div class="checkpoint__continue-wrapper">
          <CheckpointContinue
            @assessmentId={{@model.id}}
            @nextPageButtonText={{this.nextPageButtonText}}
            @finalCheckpoint={{this.finalCheckpoint}}
          />
        </div>
      {{/if}}
    </div>

    <main class="rounded-panel rounded-panel--strong checkpoint__content" role="main">
      {{#if this.shouldDisplayAnswers}}
        <div class="rounded-panel-one-line-header">
          <h2 class="rounded-panel-header-text__content rounded-panel-title rounded-panel-title--all-small-caps">
            {{t "pages.checkpoint.answers.header"}}
          </h2>
        </div>

        <div class="assessment-results__list">
          {{#each @model.answersSinceLastCheckpoints as |answer|}}
            <ResultItem @answer={{answer}} @openAnswerDetails={{this.openComparisonWindow}} />
          {{/each}}
        </div>
        <CheckpointContinue
          @assessmentId={{@model.id}}
          @nextPageButtonText={{this.nextPageButtonText}}
          @finalCheckpoint={{this.finalCheckpoint}}
        />
      {{else}}
        <div class="checkpoint-no-answer">
          <h1 class="checkpoint-no-answer__header">
            {{t "pages.checkpoint.answers.already-finished.info"}}
          </h1>
          <p class="checkpoint-no-answer__info">
            {{t "pages.checkpoint.answers.already-finished.explanation"}}
          </p>
          <CheckpointContinue
            @assessmentId={{@model.id}}
            @nextPageButtonText={{this.nextPageButtonText}}
            @finalCheckpoint={{this.finalCheckpoint}}
          />
        </div>
      {{/if}}
    </main>
  </div>

  <ComparisonWindow
    @showModal={{this.isShowingModal}}
    @answer={{this.answer}}
    @closeComparisonWindow={{this.closeComparisonWindow}}
  />
</div>

{{#if this.showLevelup}}
  <LevelupNotif @level={{this.newLevel}} @competenceName={{this.competenceLeveled}} />
{{/if}}

<Footer @full="false" />